package dashboard

import (
	"embed"
	"io/fs"
	"net/http"
)

//go:embed assets/* templates/*
var content embed.FS

// getFileSystem returns the embedded files as an http.FileSystem
func getFileSystem() http.FileSystem {
	fsys, err := fs.Sub(content, "assets")
	if err != nil {
		panic(err)
	}
	return http.FS(fsys)
}
